This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 826622 - [abrt] kernel: WARNING: at drivers/net/wireless/ath/carl9170/tx.c:911 carl9170_op_tx+0x16c/0x870 [carl9170]()
[abrt] kernel: WARNING: at drivers/net/wireless/ath/carl9170/tx.c:911 carl917...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:3706022658e5f0483ebcfe0d514...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 11:51 EDT by prema56
Modified: 2012-09-04 13:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 13:57:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description prema56 2012-05-30 11:51:50 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.7-1.fc16.x86_64 root=UUID=efc208c2-f07c-4441-9cc0-ec35e08f21ea ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=cz-us-qwertz quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
event_log:      2012-05-30-17:50:42> Smolt profile successfully saved
kernel:         3.3.7-1.fc16.x86_64
reason:         WARNING: at drivers/net/wireless/ath/carl9170/tx.c:911 carl9170_op_tx+0x16c/0x870 [carl9170]()
time:           St 30. květen 2012, 17:50:01 CEST

backtrace:
:WARNING: at drivers/net/wireless/ath/carl9170/tx.c:911 carl9170_op_tx+0x16c/0x870 [carl9170]()
:Hardware name: System Product Name
:Modules linked in: snd_seq_dummy tcp_lp nls_utf8 be2iscsi iscsi_boot_sysfs bnx2i fcoe cnic uio libfcoe cxgb4i cxgb4 libfc scsi_transport_fc scsi_tgt cxgb3i libcxgbi cxgb3 8021q garp stp llc mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack arc4 snd_hda_codec_hdmi snd_hda_codec_via snd_hda_intel snd_hda_codec snd_hwdep carl9170 snd_seq snd_seq_device mac80211 snd_pcm ath cfg80211 atl1c sp5100_tco ppdev parport_pc parport snd_timer snd uvcvideo rfkill i2c_piix4 k10temp soundcore snd_page_alloc fuse uinput videobuf2_core videodev media videobuf2_vmalloc videobuf2_memops asus_atk0110 microcode edac_core edac_mce_amd ata_generic pata_acpi pata_atiixp wmi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 3, comm: ksoftirqd/0 Tainted: G        W    3.3.7-1.fc16.x86_64 #1
:Call Trace:
: [<ffffffff81057adf>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81057b3a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa038850c>] carl9170_op_tx+0x16c/0x870 [carl9170]
: [<ffffffffa02d4f75>] __ieee80211_tx+0x175/0x2a0 [mac80211]
: [<ffffffffa02d78aa>] ieee80211_tx_pending+0xca/0x270 [mac80211]
: [<ffffffff8105ea68>] tasklet_action+0x78/0x140
: [<ffffffff8105f0c8>] __do_softirq+0xb8/0x230
: [<ffffffff8105f2fa>] run_ksoftirqd+0xba/0x170
: [<ffffffff8105f240>] ? __do_softirq+0x230/0x230
: [<ffffffff81079da3>] kthread+0x93/0xa0
: [<ffffffff815fd8e4>] kernel_thread_helper+0x4/0x10
: [<ffffffff81079d10>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff815fd8e0>] ? gs_change+0x13/0x13

smolt_data:
:
:
:Obecné
:=================================
:UUID: f717419b-b081-4b6b-bd1e-15fb4d8831c4
:OS: Fedora release 16 (Verne)
:Výchozí startovací úroveň: Unknown
:Jazyk: cs_CZ.utf8
:Platfoma: x86_64
:BogoMIPS: 6119.11
:Výrobce CPU: AuthenticAMD
:Model CPU: AMD Athlon(tm) II X3 445 Processor
:CPU Stepping: 3
:CPU Family: 16
:Číslo modelu CPU: 5
:Počet CPU: 3
:Rychlost CPU: 3100
:Systémová paměť: 2002
:Systémový odkládací prostor: 4049
:Výrobce: System manufacturer
:Systém: System Product Name System Version
:Formát desky: Desktop
:Jádro: 3.3.7-1.fc16.x86_64
:SELinux povolen: 1
:SELinux politika: targeted
:SELinux vynucen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Zařízení
:=================================
:(4130:38406:4163:33672) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 2)
:(4098:17296:4163:33673) pci, ahci, STORAGE, M4A785TD Motherboard
:(4098:43616:5963:43616) pci, snd_hda_intel, MULTIMEDIA, Redwood HDMI Audio [Radeon HD 5600 Series]
:(4130:38400:4163:33672) pci, None, HOST/PCI, RS780 Host Bridge
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(6505:4195:4163:33790) pci, atl1c, ETHERNET, AR8131 Gigabit Ethernet
:(4130:38403:4163:33672) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4098:17308:4163:33673) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:4163:33673) pci, None, SERIAL, M4A785TD Motherboard
:(4098:17309:4163:33673) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33804) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4163:33673) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:26840:5963:57702) pci, radeon, VIDEO, Redwood [Radeon HD 5670]
:(4098:17303:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:4163:33673) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:4163:33673) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:4163:33673) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:4163:33673) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Informace o souborovém systému
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb2 / ext4 4096 4096 5112555 3717561 3666381 1286144 1152030 1152030
:/dev/sda1 WITHHELD fuseblk 4096 4096 122096000 13204418 13204418 53112584 52879133 52879133
:/dev/sdb1 WITHHELD fuseblk 4096 4096 24928322 13149478 13149478 52663448 52663179 52663179
:/dev/sdb5 /home ext4 4096 4096 18670640 15204959 14269894 4677632 4671371 4671371
:/dev/sr0 WITHHELD iso9660 2048 2048 1583632 0 0 0 0 0
:
Comment 1 John W. Linville 2012-05-30 14:02:42 EDT
In carl9170_tx_prepare:
...
        if (info->control.hw_key) {
                len += info->control.hw_key->icv_len;

                switch (info->control.hw_key->cipher) {
                case WLAN_CIPHER_SUITE_WEP40:
                case WLAN_CIPHER_SUITE_WEP104:
                case WLAN_CIPHER_SUITE_TKIP:
                        mac_tmp |= cpu_to_le16(AR9170_TX_MAC_ENCR_RC4);
                        break;
                case WLAN_CIPHER_SUITE_CCMP:
                        mac_tmp |= cpu_to_le16(AR9170_TX_MAC_ENCR_AES);
                        break;
                default:
                        WARN_ON(1);
                        goto err_out;
                }
        }

Was this a single incident?  Or do you get this a lot?

Note You need to log in before you can comment on or make changes to this bug.